RevocationAPI Reference
Status update
Update CWT credential status
POST
/v2/credentials/compact/{id}/revocation-statusAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique credential identifier.
Request Body
application/json
Update revocation status
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v2/credentials/compact/string/revocation-status" \ -H "Content-Type: application/json" \ -d '{ "isRevoked": true }'{ "id": "string", "isRevoked": true}Retrieve CWT credential status
GET
/v2/credentials/compact/{id}/revocation-statusAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique credential identifier.
Response Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact/string/revocation-status"{ "isRevoked": true}How would you rate this page?
Last updated on